Bug 494845 - Review Request: xdrfile - A small C-library for reading and writing GROMACS trr and xtc files
Summary: Review Request: xdrfile - A small C-library for reading and writing GROMACS t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-04-08 10:42 UTC by Susi Lehtola
Modified: 2009-07-11 17:33 UTC (History)
2 users (show)

Fixed In Version: 1.1-2.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-16 16:45:18 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Susi Lehtola 2009-04-08 10:42:34 UTC
Spec URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/xdrfile.spec

SRPM URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/xdrfile-1.0-1.fc10.src.rpm

Description:
A small C-library for reading and writing trr and xtc files. The library is
lightweight (no dependencies, portable) and can be incorporated in other
software, because it is being distributed under the BSD license. The library
also contains one program trr2xtc which does what you would expect, and the
other way around.

rpmlint output:
xdrfile.x86_64: E: zero-length /usr/share/doc/xdrfile-1.0/README
xdrfile.x86_64: E: zero-length /usr/share/doc/xdrfile-1.0/ChangeLog
xdrfile.x86_64: E: zero-length /usr/share/doc/xdrfile-1.0/AUTHORS
xdrfile.x86_64: E: zero-length /usr/share/doc/xdrfile-1.0/COPYING
xdrfile.x86_64: E: zero-length /usr/share/doc/xdrfile-1.0/NEWS
xdrfile-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 5 errors, 1 warnings.

Comment 1 Susi Lehtola 2009-04-08 10:44:29 UTC
I left in the empty files for the moment, since I'm waiting for a fix from upstream ( http://bugzilla.gromacs.org/show_bug.cgi?id=312 ).

Currently there's no license included and two header files specify the GPLv2+ license instead of BSD.

Comment 2 Michael Schwendt 2009-04-08 11:36:45 UTC
> Currently there's no license included and two header files
> specify the GPLv2+ license instead of BSD.  

This asks for a licence clarification from upstream.


> xdrfile.x86_64: E: zero-length /usr/share/doc/xdrfile-1.0/README
> xdrfile.x86_64: E: zero-length /usr/share/doc/xdrfile-1.0/ChangeLog
> xdrfile.x86_64: E: zero-length /usr/share/doc/xdrfile-1.0/AUTHORS
> xdrfile.x86_64: E: zero-length /usr/share/doc/xdrfile-1.0/COPYING
> xdrfile.x86_64: E: zero-length /usr/share/doc/xdrfile-1.0/NEWS

Hint: There are ways to avoid this.

%prep
%setup ...
## Exit build if these %doc files become non-empty and are added to %files.
[ -s AUTHORS ] && exit 1    # exit if file has non-zero size
#[ -s AUTHORS ] || exit 1   # exit if file has zero size
[ -s COPYING ] && exit 1
#[ -s COPYING ] || exit 1

%files
...
#doc AUTHORS
#doc COPYING
...


> %post devel -p /sbin/ldconfig
> %postun devel -p /sbin/ldconfig

These are wrong and ought to be deleted.


> # Move include files to %{_includedir} instead
> mv %{buildroot}/%{_includedir}/%{name}/*  %{buildroot}/%{_includedir}
> rmdir %{buildroot}/%{_includedir}/%{name}

Better ask upstream for confirmation and a fix in the tarball. The headers need this change for 'include "xdrfile.h"' to work, but it changes the API because users of this library can no longer "#include <xdrfile/xdrfile.h>".

Comment 3 Susi Lehtola 2009-04-08 12:14:32 UTC
(In reply to comment #2)
> > Currently there's no license included and two header files
> > specify the GPLv2+ license instead of BSD.  
> 
> This asks for a licence clarification from upstream.

Yes, that's in the bug report I sent upstream.

> > > # Move include files to %{_includedir} instead
> > mv %{buildroot}/%{_includedir}/%{name}/*  %{buildroot}/%{_includedir}
> > rmdir %{buildroot}/%{_includedir}/%{name}
> 
> Better ask upstream for confirmation and a fix in the tarball. The headers need
> this change for 'include "xdrfile.h"' to work, but it changes the API because
> users of this library can no longer "#include <xdrfile/xdrfile.h>".  

True. I suggested moving the headers in the same bug report. Now one just has to wait until upstream reacts.

Comment 4 Susi Lehtola 2009-05-18 18:35:03 UTC
This should fix all problems.

http://theory.physics.helsinki.fi/~jzlehtol/rpms/xdrfile.spec
http://theory.physics.helsinki.fi/~jzlehtol/rpms/xdrfile-1.1b-1.fc10.src.rpm

rpmlint output:
xdrfile-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 1 warnings.

This is not a problem since -devel requires the main package which includes the documentation.

Comment 5 Mamoru TASAKA 2009-06-12 15:40:15 UTC
Will review shortly. Instead I would appreciate it if
you review either of my review requests (bug 504707, bug 504709
or bug 505406).

Comment 6 Mamoru TASAKA 2009-06-12 16:14:50 UTC
Some notes:

* URL, Source0
  - Currently the written URL seems invalid and I could not
    any files from the URL written as %SOURCE0

* About checking size
-----------------------------------------------------
[ -s ChangeLog ] && exit 1 # exit if file has non-zero size
-----------------------------------------------------
  - Well I guess it is better that you check the tarball and
    "ChangeLog" file by yourself instead of resorting to
    such method...

* Timestamp
  - It is preferred to keep timestamps on installed files
    (for this package especially for header files) by:
-----------------------------------------------------
make install DESTDIR=%{buildroot} INSTALL="install -p"
-----------------------------------------------------
    This method usually works for Makefiles generated by
    recent autotools.

Comment 7 Susi Lehtola 2009-06-13 09:28:28 UTC
(In reply to comment #6)
> Some notes:
> 
> * URL, Source0
>   - Currently the written URL seems invalid and I could not
>     any files from the URL written as %SOURCE0

Ugh, they're migrating their web pages to a new wiki. Fixed URL to point to old wiki.

When I made the package the FTP site had xdrfile-1.1b.tar.gz which fixed the license issue. I see it has now been renamed to xdrfile-1.1.tar.gz, since the files are binary equal. Which means that the default %setup doesn't work. Must make a bug about this upstream.
 
> * About checking size
> -----------------------------------------------------
> [ -s ChangeLog ] && exit 1 # exit if file has non-zero size
> -----------------------------------------------------
>   - Well I guess it is better that you check the tarball and
>     "ChangeLog" file by yourself instead of resorting to
>     such method...

Well, currently the file has no content, so I want to be notified automatically if at some stage later on it gains content.

> * Timestamp
>   - It is preferred to keep timestamps on installed files
>     (for this package especially for header files) by:
> -----------------------------------------------------
> make install DESTDIR=%{buildroot} INSTALL="install -p"
> -----------------------------------------------------
>     This method usually works for Makefiles generated by
>     recent autotools.  

Whoops, fixed.

http://theory.physics.helsinki.fi/~jzlehtol/rpms/xdrfile.spec
http://theory.physics.helsinki.fi/~jzlehtol/rpms/xdrfile-1.1-2.fc11.src.rpm

Comment 8 Mamoru TASAKA 2009-06-13 18:14:48 UTC
Okay.

----------------------------------------------------------
   This package (xdrfile) is APPROVED by mtasaka
----------------------------------------------------------

Comment 9 Susi Lehtola 2009-06-13 18:33:00 UTC
Thanks for the review!

New Package CVS Request
=======================
Package Name: xdrfile
Short Description: A small C-library for reading and writing GROMACS trr and xtc files
Owners: jussilehtola
Branches: F-10 F-11 EL-5
InitialCC:

Comment 10 Kevin Fenzi 2009-06-14 18:54:21 UTC
cvs done.

Comment 11 Fedora Update System 2009-06-15 09:40:10 UTC
xdrfile-1.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xdrfile-1.1-2.fc10

Comment 12 Fedora Update System 2009-06-15 09:41:34 UTC
xdrfile-1.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xdrfile-1.1-2.fc11

Comment 13 Mamoru TASAKA 2009-06-16 16:45:18 UTC
Now closing.

Comment 14 Fedora Update System 2009-07-11 17:27:18 UTC
xdrfile-1.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2009-07-11 17:32:55 UTC
xdrfile-1.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.